Urd Procurement Reports

Get product sales data in store

This endpoint allows to get historic sales data for a specific product provided by the productID path parameter in a specific store.

A date range must be provided by setting the from and to query parameters. It must not exceed 45 days.

get
https://api.migros.ch/migros/products/v1/procurement-report/{productId}/{storeId}

Query Parameters

fromstringrequired

Match pattern:^\d{4}-\d{2}-\d{2}$

>= 10 characters<= 10 characters

Example:2026-02-23

tostringrequired

Match pattern:^\d{4}-\d{2}-\d{2}$

>= 10 characters<= 10 characters

Example:2026-02-27

Path Parameters

productIdstringrequired

Match pattern:^\d{12}$

>= 12 characters<= 12 characters

Example:264580113200

storeIdstringrequired

Match pattern:^\d{7}$

>= 7 characters<= 7 characters

Example:0150018

Response

200 application/json

Aggregated sales data per date per promotionType

datestringrequired

Example:2026-01-01

salesarray[object]required
Show Child Parameters
get/migros/products/v1/procurement-report/{productId}/{storeId}
 
200 application/json

Day

object
datestringrequired

Example:2026-01-01

salesarray[object]required
Show Child Parameters
Example

Sale

object
amountnumberrequired

Example:335

promotionTypestringrequired

Human-friendly name for the Promotion Type
Note: If the API doesn’t know a UnitCode, it’ll put the plain UnitCode here.

Example:Normalpreis

promotionTypeIdstringrequired

ID of the Promotion Type

Example:1415

unitstringrequired

Note: If the API doesn’t know a UnitCode, it’ll put the plain UnitCode here.

Allowed values:pcekgmeterm2literkwh

Example

productId

string

Match pattern:^\d{12}$

>= 12 characters<= 12 characters

Example

storeId

string

Match pattern:^\d{7}$

>= 7 characters<= 7 characters

Example